var annotationLevels = {
  error: 'failure',
  default: 'notice'
};

var formatLine = function (line) {
  var ref = line.split(':');
  var file = ref[0];
  var rule = ref[1];
  var message = ref[2];
  var ref$1 = file.split(/\(|\)/).filter(function (f) { return f; });
  var filePath = ref$1[0];
  var position = ref$1[1];
  var ref$2 = position.split(',');
  var startLine = ref$2[0];
  var startColumn = ref$2[1];
  var ref$3 = rule.trim().split(' ');
  var level = ref$3[0];
  return {
    path: filePath,
    start_line: startLine,
    start_column: startColumn,
    end_line: startLine,
    end_column: startColumn,
    annotation_level: annotationLevels[level] || annotationLevels.default,
    title: rule,
    message: message,
    raw_details: ("(" + rule + "): " + message)
  };
};

var format = function (data) {
  try {
    var annotations = data.split('\n').filter(function (line) { return line.includes(' TS'); }).map(formatLine);
    return Promise.resolve({
      title: 'TypeScript',
      summary: annotations.length > 0 ? ("Found " + (annotations.length) + " errors") : 'All checks passed',
      annotations: annotations
    });
  } catch (e) {
    return Promise.reject(e);
  }
};

export { format };
